Name: jsr-250
Version: 1.0
Release: 1%{?dist}

Summary: Common Annotations for the JavaTM Platform
Group: Development/Libraries
License: CDDL
URL: http://jcp.org/en/jsr/detail?id=250

Source0: http://mirrors.ibiblio.org/pub/mirrors/maven2/javax/annotation/jsr250-api/1.0/jsr250-api-1.0-sources.jar
Source1: http://mirrors.ibiblio.org/pub/mirrors/maven2/javax/annotation/jsr250-api/1.0/jsr250-api-1.0.pom

BuildArch: noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-source-plugin

Requires: jpackage-utils
Requires: java

%description
JSR-250: Common Annotations for the JavaTM Platform

%package javadoc
Summary: Javadocs for %{name}
Group: Documentation
Requires: jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
# Upack the original source:
%setup -q -c %{name}-%{version}

# Move the files to a standard maven directory structure:
find javax -name '*.java' | cpio -pd src/main/java
rm -rf javax

# Put the POM in place:
cp %{SOURCE1} pom.xml

%build
mvn-rpmbuild \
 -Dproject.build.sourceEncoding=UTF-8 \
install \
javadoc:aggregate

%install

install -d -m 755 %{buildroot}%{_javadir}
install -pm 644 target/jsr250-api-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# POM files:
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# Javadoc files:
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}/.

# Dependencies map:
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_javadir}/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Tue Feb 27 2012 Asaf Shakarchi <asaf@redhat.com> 1.0-1
- Initial packaging.
